# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqNodeOfHSequenceOfInteger Class Reference

`#include <PColStd_SeqNodeOfHSequenceOfInteger.hxx>`

Inheritance diagram for PColStd_SeqNodeOfHSequenceOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfInteger (const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&TheLast, const Standard_Integer &TheItem)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfInteger (const Standard_Integer &TheItem, const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&TheFirst)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfInteger (const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&ThePrevious, const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&TheNext, const Standard_Integer &TheItem)
Standard_EXPORT Standard_Integer | Value () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfInteger | Next () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfInteger | Previous () const
Standard_EXPORT void | SetValue (const Standard_Integer &AnItem)
Standard_EXPORT void | SetNext (const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&ANode)
| PColStd_SeqNodeOfHSequenceOfInteger ()
| PColStd_SeqNodeOfHSequenceOfInteger (const Storage_stCONSTclCOM &a)
| Handle (PColStd_SeqNodeOfHSequenceOfInteger) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfIntegerMyPrevious() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfIntegerMyPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&p)
Standard_Integer | _CSFDB_GetPColStd_SeqNodeOfHSequenceOfIntegerMyItem () const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfIntegerMyItem (const Standard_Integer p)
| Handle (PColStd_SeqNodeOfHSequenceOfInteger) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfIntegerMyNext() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfIntegerMyNext (const Handle(PColStd_SeqNodeOfHSequenceOfInteger)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_SeqNodeOfHSequenceOfInteger | MyPrevious
Standard_Integer | MyItem
Handle_PColStd_SeqNodeOfHSequenceOfInteger | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfInteger::PColStd_SeqNodeOfHSequenceOfInteger | ( | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | TheLast,
|  | const Standard_Integer & | TheItem
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfInteger::PColStd_SeqNodeOfHSequenceOfInteger | ( | const Standard_Integer & | TheItem,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | TheFirst
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfInteger::PColStd_SeqNodeOfHSequenceOfInteger | ( | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | ThePrevious,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | TheNext,
|  | const Standard_Integer & | TheItem
| ) |

PColStd_SeqNodeOfHSequenceOfInteger::PColStd_SeqNodeOfHSequenceOfInteger | ( |  | ) | `[inline]`

PColStd_SeqNodeOfHSequenceOfInteger::PColStd_SeqNodeOfHSequenceOfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PColStd_SeqNodeOfHSequenceOfInteger::_CSFDB_GetPColStd_SeqNodeOfHSequenceOfIntegerMyItem | ( |  | ) | const`[inline]`

void PColStd_SeqNodeOfHSequenceOfInteger::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfIntegerMyItem | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfInteger::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfIntegerMyNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfInteger::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfIntegerMyPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | p | ) | `[inline]`

Standard_EXPORT const PColStd_SeqNodeOfHSequenceOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_SeqNodeOfHSequenceOfInteger::Handle | ( | PColStd_SeqNodeOfHSequenceOfInteger |  | ) | const`[inline]`

PColStd_SeqNodeOfHSequenceOfInteger::Handle | ( | PColStd_SeqNodeOfHSequenceOfInteger |  | ) | const`[inline]`

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfInteger PColStd_SeqNodeOfHSequenceOfInteger::Next | ( |  | ) | const

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfInteger PColStd_SeqNodeOfHSequenceOfInteger::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfInteger::SetNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfInteger::SetPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfInteger)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfInteger::SetValue | ( | const Standard_Integer & | AnItem | ) |

Standard_EXPORT Standard_Integer PColStd_SeqNodeOfHSequenceOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer PColStd_SeqNodeOfHSequenceOfInteger::MyItem `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfInteger PColStd_SeqNodeOfHSequenceOfInteger::MyNext `[private]`

Handle_PColStd_SeqNodeOfHSequenceOfInteger PColStd_SeqNodeOfHSequenceOfInteger::MyPrevious `[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqNodeOfHSequenceOfInteger.hxx